package models

import (
	"bytes"
	"time"
)

const (
	// Имя соответствующего шаблона
	MainPageTmplName = "main_page.gohtml"
)

func (a *App) RenderMainPage() ([]byte, error) {
	var pageData bytes.Buffer

	context := map[string]any{
		"version":            a.StartTime,
		"renderingTimestamp": time.Now().Unix(),
	}

	if err := a.Templates.ExecuteTemplate(&pageData, MainPageTmplName, context); err != nil {
		return nil, err
	}

	return pageData.Bytes(), nil
}
